#define uint32 unsigned long
#define int32 signed long
#define uint16 unsigned short
#define uint8 unsigned char

extern void Super2xSaI(uint8 *srcPtr, uint32 srcPitch,
	     uint8 *deltaPtr,
         BITMAP *dstBitmap, int width, int height);
extern void _2xSaI(uint8 *srcPtr, uint32 srcPitch,
	     uint8 *deltaPtr,
         BITMAP *dstBitmap, int width, int height);
extern void SuperEagle(uint8 *srcPtr, uint32 srcPitch,
	     uint8 *deltaPtr,
         BITMAP *dstBitmap, int width, int height);
extern void Scale_2xSaI(uint8 *srcPtr, uint32 srcPitch,
	     uint8 *deltaPtr,
         BITMAP *dstBitmap, int width, int height);

